// package: bet.beteran.member_class
// file: models/member_class.proto

import * as jspb from "google-protobuf";

export class MemberClass extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  hasParentId(): boolean;
  clearParentId(): void;
  getParentId(): string;
  setParentId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getShow(): boolean;
  setShow(value: boolean): void;

  getCreatedAt(): number;
  setCreatedAt(value: number): void;

  getUpdatedAt(): number;
  setUpdatedAt(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): MemberClass.AsObject;
  static toObject(includeInstance: boolean, msg: MemberClass): MemberClass.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: MemberClass, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): MemberClass;
  static deserializeBinaryFromReader(message: MemberClass, reader: jspb.BinaryReader): MemberClass;
}

export namespace MemberClass {
  export type AsObject = {
    id: string,
    parentId: string,
    name: string,
    show: boolean,
    createdAt: number,
    updatedAt: number,
  }
}

